// pascal -- pascal's triangle
//   written using the Data-Parallel Programming Library for Education (DAPPLE)
//
// David Kotz 1994

// $Id: pascal.cc,v 2.17 95/12/17 00:08:22 dfk release Locker: dfk $

#include <stdlib.h>
#include <iostream.h>
#include "dapple.h"

const int N = 10;                 // number of rows (and columns)
const intVector VP(N, Identity);  // which VP am I? useful for VP-specific math

int
main()
{
    intVector arow(N);

    ifp (VP == 0) {		// only the left one will be 1 initially
        arow = 1;            
	cout << arow << endl;
    } else                   
      arow = 0;              
    
    // to each element, add the element to the left
    for (int i = 1; i <= N-1; i++) {
	arow += shift(arow, 1);
	ifp (VP <= i)
	  cout << arow << endl;
    }

    return(0);
}
