// @TITLE "char.cc: character classes"
//
// "char" classes
//    This file includes all the files, after defining some macros
// to refer to "char" elements, collections, vectors, and matrices.
//
// David Kotz 1994

// $Id: char.cc,v 1.8 95/12/17 00:07:43 dfk release Locker: dfk $

#include "dapple.h"		// declare all the types

#define Element char
#define Collection charCollection
#define Vector charVector
#define Matrix charMatrix
#define Slice charSlice
#define HalfSlice charHalfSlice
#define CHAR_ELEMENTS

#include "Collection.cc"
#include "Vector.cc"
#include "Slice.cc"
#include "Matrix.cc"
