// @TITLE "int.cc: integer classes"
//
// "int" classes
//    This file includes all the files, after defining some macros
// to refer to "int" elements, collections, vectors, and matrices.
//
// David Kotz 1994

// $Id: int.cc,v 1.9 95/12/17 00:07:54 dfk release Locker: dfk $

#include "dapple.h"		// declare all the types

#define Element int
#define Collection intCollection
#define Vector intVector
#define Matrix intMatrix
#define Slice intSlice
#define HalfSlice intHalfSlice
#define INT_ELEMENTS

#include "Collection.cc"
#include "Vector.cc"
#include "Slice.cc"
#include "Matrix.cc"
